import axios from 'axios';
import Cookies from 'js-cookie';
export const methods={
    myhttp(url, data, fn1,fn2) {
        let params={
            access_token:localStorage.access_token||this.$route.query.access_token,
            uid:localStorage.uid||this.$route.query.uid
        };
        axios({
            method: "post",
            url,
            params,
            data
        }).then((response) => {
            if (response.data.status === 1) {
                fn1(response.data);
                //this.$Message.info("请求数据成功！");
            } else if (response.data.info === 'Expired token') {
                Cookies.remove("user");
                Cookies.remove("password");
                localStorage.clear();
              this.$router.push('/login')
            } else {
                //this.$Message.error("失败-"+response.data.info);
                if(fn2){
                    fn2(response.data);
                }
            }
        }).catch((error)=>{
            console.log(error);
            //this.$Message.error('读取接口失败！');
        });
    },
    myhttp_get(url, data, fn1,fn2) {
        let params={
            access_token:localStorage.access_token||this.$route.query.access_token,
            uid:localStorage.uid||this.$route.query.uid
        };
        params=Object.assign(params,data);
        axios({
            method: "post",
            url,
            params
        }).then((response) => {
            if (response.data.status === 1) {
                fn1(response.data);
                //this.$Message.info("请求数据成功！");
            } else if (response.data.info === 'Expired token') {
                Cookies.remove("user");
                Cookies.remove("password");
                localStorage.clear();
              this.$router.push('/login')
            } else {
                //this.$Message.error("失败-"+response.data.info);
                if(fn2){
                    fn2(response.data);
                }
            }
        }).catch((error)=>{
            console.log(error);
            //this.$Message.error('读取接口失败！');
        });
    },
    getType(type){
        return Object.prototype.toString.call(type);
    },
    dateFormat(d) {
        if(d){
            if(this.getType(d)==='[object String]'){
                return d;
            }else{
                d*=1000;
                return new Date(d).getFullYear() + "-" + (new Date(d).getMonth() + 1) + "-" + new Date(d).getDate();
            }
        }else{
            return '';
        }
    },
    del(path,callback){
        this.myhttp(path,data,()=>{
            callback();
        })
    },
    changePath(path){
        //return path.replace('http:\/\/58.218.171.11:11080','http:\/\/127.0.0.1');
        return path;
    },
    toDate(date){
        let d=new Date(date*1000);
        return d.getFullYear()+"-"+(d.getMonth()+1)+"-"+d.getDate();
    },
    transFormDate(d){
        if(this.getType(d)==='[object Date]'){
            return d.getFullYear()+"-"+(d.getMonth()+1)+"-"+d.getDate();
        }else{
            return '';
        }
    }
}
